Page MenuHomePhabricator

Re-work messaging about global account status [[Special:Preferences]] once all accounts are SUL accounts
Closed, ResolvedPublic

Description

There is a bewildering bold message on [[Special:Preferences]]
of SUL accounts:

All in order!

retranslatios of which from various languages include
"Done!", "Ready", "completely fine!", "Back (I am)",
etc. . It is very often untranslated, likely because
one has not understood what it is all about, anyways.

I suggest to either:

  • unbold and amend it to something making sense in that place,
  • delete the message or empty it, and only show errors.

Btw. there is a formatting problem, too, which makes the label describing the message group appear underneath the bold part (though on the other side, left, or right) That makes it even more obscure. The user making me aware of it was assuming an error.


Version: unspecified
Severity: minor

Details

Reference
bz16690

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:23 PM
bzimport set Reference to bz16690.

Hm, the bolding is kinda weird, I've located the area thats causing it, just do we want to implement a fix (removing <strong> tags from (and around) line 54 of http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/CentralAuth/CentralAuthHooks.php)

I suspect James may have an opinion on this.
Especially after bug 35707, bold will make no sense; even now it's quite inappropriate, so I'm calling it a bug.

Yeah, this seems like a good move.

I would suggest removing the "Global account status" entirely, and adding a single link labelled "Manage your global account" after the password reset link (which is much more popular) to [[Special:CentralAuth/{{USER}}]]; [[Special:MergeAccount]] will no longer be needed.

Marking as blocked by bug 35707.

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Dec 15 2014, 5:33 PM
Jdforrester-WMF set Security to None.
Glaisher claimed this task.Apr 14 2015, 5:36 PM

Change 204081 had a related patch set uploaded (by Glaisher):
Simplify CentralAuthHooks::onGetPreferences

https://gerrit.wikimedia.org/r/204081

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 15 2015, 3:50 PM

Change 204081 merged by jenkins-bot:
Simplify CentralAuthHooks::onGetPreferences

https://gerrit.wikimedia.org/r/204081

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 4:39 PM
Glaisher closed this task as Resolved.Aug 19 2015, 4:43 PM
Glaisher removed projects: Patch-For-Review, Design.